APIs / Agoda / Rooms

Agoda: Rooms

Rooms from Agoda as JSON. 1 credit per successful call.

GET /v1/agoda/rooms

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
check_instringRequiredAny
check_outstringRequiredAny
adultsintegerOptionalAny
roomsintegerOptionalAny
children_ages[]list of integerOptionalAny
hotel_idintegerRequiredAny
city_idintegerRequiredAny
country_idintegerRequiredAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/agoda/rooms" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.